iwlwifi Intel 8265 firmware crashing on lenovo x1 Gen 6

Bug #1808389 reported by James Turnbull on 2018-12-13
36
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
linux-firmware (Ubuntu)
Critical
AaronMa
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned

Bug Description

SRU Justification:
===============
[Impact]
repeated crashes of the Intel 8265 wireless card on a Lenovo X1 Gen6.

[Fix]
New iwlwifi firmware fix it.

[Test]
Bug reporter verified with positive result.

[Regression Potential]
Upstream fix, low risk.
Bug reporter confirms fix.

Original bug report:
=================

Seeing repeated crashes of the Intel 8265 wireless card on a Lenovo X1 Gen6.

Firmware: 36.7596afd4.0

Dec 13 11:53:36 james-x1 kernel: [ 856.840159] wlp2s0: send auth to 60:38:e0:70:a2:11 (try 1/3)
Dec 13 11:53:36 james-x1 kernel: [ 856.844875] iwlwifi 0000:02:00.0: Microcode SW error detected. Restarting 0x2000000.
Dec 13 11:53:36 james-x1 kernel: [ 856.845015] iwlwifi 0000:02:00.0: Start IWL Error Log Dump:
Dec 13 11:53:36 james-x1 kernel: [ 856.845018] iwlwifi 0000:02:00.0: Status: 0x00000100, count: 6
Dec 13 11:53:36 james-x1 kernel: [ 856.845021] iwlwifi 0000:02:00.0: Loaded firmware version: 36.7596afd4.0
Dec 13 11:53:36 james-x1 kernel: [ 856.845024] iwlwifi 0000:02:00.0: 0x00001006 | ADVANCED_SYSASSERT
Dec 13 11:53:36 james-x1 kernel: [ 856.845026] iwlwifi 0000:02:00.0: 0x000002F0 | trm_hw_status0
Dec 13 11:53:36 james-x1 kernel: [ 856.845029] iwlwifi 0000:02:00.0: 0x00000000 | trm_hw_status1
Dec 13 11:53:36 james-x1 kernel: [ 856.845031] iwlwifi 0000:02:00.0: 0x000248DC | branchlink2
Dec 13 11:53:36 james-x1 kernel: [ 856.845034] iwlwifi 0000:02:00.0: 0x0003A7DA | interruptlink1
Dec 13 11:53:36 james-x1 kernel: [ 856.845036] iwlwifi 0000:02:00.0: 0x00000000 | interruptlink2
Dec 13 11:53:36 james-x1 kernel: [ 856.845039] iwlwifi 0000:02:00.0: 0xFFFFFEDA | data1
Dec 13 11:53:36 james-x1 kernel: [ 856.845041] iwlwifi 0000:02:00.0: 0xDEADBEEF | data2
Dec 13 11:53:36 james-x1 kernel: [ 856.845044] iwlwifi 0000:02:00.0: 0xDEADBEEF | data3
Dec 13 11:53:36 james-x1 kernel: [ 856.845046] iwlwifi 0000:02:00.0: 0x0007E1DC | beacon time
Dec 13 11:53:36 james-x1 kernel: [ 856.845048] iwlwifi 0000:02:00.0: 0x003B0850 | tsf low
Dec 13 11:53:36 james-x1 kernel: [ 856.845051] iwlwifi 0000:02:00.0: 0x00000000 | tsf hi
Dec 13 11:53:36 james-x1 kernel: [ 856.845053] iwlwifi 0000:02:00.0: 0x00000000 | time gp1
Dec 13 11:53:36 james-x1 kernel: [ 856.845055] iwlwifi 0000:02:00.0: 0x003B0852 | time gp2
Dec 13 11:53:36 james-x1 kernel: [ 856.845058] iwlwifi 0000:02:00.0: 0x00000001 | uCode revision type
Dec 13 11:53:36 james-x1 kernel: [ 856.845060] iwlwifi 0000:02:00.0: 0x00000024 | uCode version major
Dec 13 11:53:36 james-x1 kernel: [ 856.845063] iwlwifi 0000:02:00.0: 0x7596AFD4 | uCode version minor
Dec 13 11:53:36 james-x1 kernel: [ 856.845065] iwlwifi 0000:02:00.0: 0x00000230 | hw version
Dec 13 11:53:36 james-x1 kernel: [ 856.845068] iwlwifi 0000:02:00.0: 0x18489000 | board version
Dec 13 11:53:36 james-x1 kernel: [ 856.845070] iwlwifi 0000:02:00.0: 0x0501001C | hcmd
Dec 13 11:53:36 james-x1 kernel: [ 856.845072] iwlwifi 0000:02:00.0: 0x00023008 | isr0
Dec 13 11:53:36 james-x1 kernel: [ 856.845075] iwlwifi 0000:02:00.0: 0x000D0000 | isr1
Dec 13 11:53:36 james-x1 kernel: [ 856.845077] iwlwifi 0000:02:00.0: 0x08001802 | isr2
Dec 13 11:53:36 james-x1 kernel: [ 856.845080] iwlwifi 0000:02:00.0: 0x0041FDC0 | isr3
Dec 13 11:53:36 james-x1 kernel: [ 856.845082] iwlwifi 0000:02:00.0: 0x00000000 | isr4
Dec 13 11:53:36 james-x1 kernel: [ 856.845084] iwlwifi 0000:02:00.0: 0x00580118 | last cmd Id
Dec 13 11:53:36 james-x1 kernel: [ 856.845087] iwlwifi 0000:02:00.0: 0x00000000 | wait_event
Dec 13 11:53:36 james-x1 kernel: [ 856.845089] iwlwifi 0000:02:00.0: 0x000076DD | l2p_control
Dec 13 11:53:36 james-x1 kernel: [ 856.845091] iwlwifi 0000:02:00.0: 0x00000020 | l2p_duration
Dec 13 11:53:36 james-x1 kernel: [ 856.845094] iwlwifi 0000:02:00.0: 0x00000000 | l2p_mhvalid
Dec 13 11:53:36 james-x1 kernel: [ 856.845096] iwlwifi 0000:02:00.0: 0x000000A0 | l2p_addr_match
Dec 13 11:53:36 james-x1 kernel: [ 856.845099] iwlwifi 0000:02:00.0: 0x0000000D | lmpm_pmg_sel
Dec 13 11:53:36 james-x1 kernel: [ 856.845101] iwlwifi 0000:02:00.0: 0x22040707 | timestamp
Dec 13 11:53:36 james-x1 kernel: [ 856.845103] iwlwifi 0000:02:00.0: 0x00006070 | flow_handler
Dec 13 11:53:36 james-x1 kernel: [ 856.845170] iwlwifi 0000:02:00.0: Start IWL Error Log Dump:
Dec 13 11:53:36 james-x1 kernel: [ 856.845173] iwlwifi 0000:02:00.0: Status: 0x00000100, count: 7
Dec 13 11:53:36 james-x1 kernel: [ 856.845176] iwlwifi 0000:02:00.0: 0x00000070 | ADVANCED_SYSASSERT
Dec 13 11:53:36 james-x1 kernel: [ 856.845178] iwlwifi 0000:02:00.0: 0x00000000 | umac branchlink1
Dec 13 11:53:36 james-x1 kernel: [ 856.845181] iwlwifi 0000:02:00.0: 0xC00868A4 | umac branchlink2
Dec 13 11:53:36 james-x1 kernel: [ 856.845183] iwlwifi 0000:02:00.0: 0xC0083A94 | umac interruptlink1
Dec 13 11:53:36 james-x1 kernel: [ 856.845186] iwlwifi 0000:02:00.0: 0xC0083A94 | umac interruptlink2
Dec 13 11:53:36 james-x1 kernel: [ 856.845188] iwlwifi 0000:02:00.0: 0x00000800 | umac data1
Dec 13 11:53:36 james-x1 kernel: [ 856.845191] iwlwifi 0000:02:00.0: 0xC0083A94 | umac data2
Dec 13 11:53:36 james-x1 kernel: [ 856.845193] iwlwifi 0000:02:00.0: 0xDEADBEEF | umac data3
Dec 13 11:53:36 james-x1 kernel: [ 856.845196] iwlwifi 0000:02:00.0: 0x00000024 | umac major
Dec 13 11:53:36 james-x1 kernel: [ 856.845198] iwlwifi 0000:02:00.0: 0x7596AFD4 | umac minor
Dec 13 11:53:36 james-x1 kernel: [ 856.845201] iwlwifi 0000:02:00.0: 0xC088628C | frame pointer
Dec 13 11:53:36 james-x1 kernel: [ 856.845203] iwlwifi 0000:02:00.0: 0xC088628C | stack pointer
Dec 13 11:53:36 james-x1 kernel: [ 856.845206] iwlwifi 0000:02:00.0: 0x00580118 | last host cmd
Dec 13 11:53:36 james-x1 kernel: [ 856.845208] iwlwifi 0000:02:00.0: 0x00000000 | isr status reg
Dec 13 11:53:36 james-x1 kernel: [ 856.845213] ieee80211 phy7: Hardware restart was requested
Dec 13 11:53:37 james-x1 kernel: [ 857.582938] iwlwifi 0000:02:00.0: Microcode SW error detected. Restarting 0x2000000.
Dec 13 11:53:37 james-x1 kernel: [ 857.583199] iwlwifi 0000:02:00.0: Start IWL Error Log Dump:
Dec 13 11:53:37 james-x1 kernel: [ 857.583204] iwlwifi 0000:02:00.0: Status: 0x00000110, count: 6
Dec 13 11:53:37 james-x1 kernel: [ 857.583208] iwlwifi 0000:02:00.0: Loaded firmware version: 36.7596afd4.0
Dec 13 11:53:37 james-x1 kernel: [ 857.583213] iwlwifi 0000:02:00.0: 0x00003439 | ADVANCED_SYSASSERT
Dec 13 11:53:37 james-x1 kernel: [ 857.583217] iwlwifi 0000:02:00.0: 0x00A002F0 | trm_hw_status0
Dec 13 11:53:37 james-x1 kernel: [ 857.583220] iwlwifi 0000:02:00.0: 0x00000000 | trm_hw_status1
Dec 13 11:53:37 james-x1 kernel: [ 857.583224] iwlwifi 0000:02:00.0: 0x000248DC | branchlink2
Dec 13 11:53:37 james-x1 kernel: [ 857.583228] iwlwifi 0000:02:00.0: 0x0003A7DA | interruptlink1
Dec 13 11:53:37 james-x1 kernel: [ 857.583231] iwlwifi 0000:02:00.0: 0x00000000 | interruptlink2
Dec 13 11:53:37 james-x1 kernel: [ 857.583235] iwlwifi 0000:02:00.0: 0x00000000 | data1
Dec 13 11:53:37 james-x1 kernel: [ 857.583239] iwlwifi 0000:02:00.0: 0x00000000 | data2
Dec 13 11:53:37 james-x1 kernel: [ 857.583242] iwlwifi 0000:02:00.0: 0xDEADBEEF | data3
Dec 13 11:53:37 james-x1 kernel: [ 857.583246] iwlwifi 0000:02:00.0: 0x003F49CF | beacon time
Dec 13 11:53:37 james-x1 kernel: [ 857.583249] iwlwifi 0000:02:00.0: 0x0000B62F | tsf low
Dec 13 11:53:37 james-x1 kernel: [ 857.583253] iwlwifi 0000:02:00.0: 0x00000000 | tsf hi
Dec 13 11:53:37 james-x1 kernel: [ 857.583256] iwlwifi 0000:02:00.0: 0x00000000 | time gp1
Dec 13 11:53:37 james-x1 kernel: [ 857.583260] iwlwifi 0000:02:00.0: 0x0000B631 | time gp2
Dec 13 11:53:37 james-x1 kernel: [ 857.583264] iwlwifi 0000:02:00.0: 0x00000001 | uCode revision type
Dec 13 11:53:37 james-x1 kernel: [ 857.583267] iwlwifi 0000:02:00.0: 0x00000024 | uCode version major
Dec 13 11:53:37 james-x1 kernel: [ 857.583271] iwlwifi 0000:02:00.0: 0x7596AFD4 | uCode version minor
Dec 13 11:53:37 james-x1 kernel: [ 857.583275] iwlwifi 0000:02:00.0: 0x00000230 | hw version
Dec 13 11:53:37 james-x1 kernel: [ 857.583278] iwlwifi 0000:02:00.0: 0x18489000 | board version
Dec 13 11:53:37 james-x1 kernel: [ 857.583282] iwlwifi 0000:02:00.0: 0x00270129 | hcmd
Dec 13 11:53:37 james-x1 kernel: [ 857.583285] iwlwifi 0000:02:00.0: 0x00022080 | isr0
Dec 13 11:53:37 james-x1 kernel: [ 857.583289] iwlwifi 0000:02:00.0: 0x00000000 | isr1
Dec 13 11:53:37 james-x1 kernel: [ 857.583292] iwlwifi 0000:02:00.0: 0x08201802 | isr2
Dec 13 11:53:37 james-x1 kernel: [ 857.583296] iwlwifi 0000:02:00.0: 0x004000C0 | isr3
Dec 13 11:53:37 james-x1 kernel: [ 857.583299] iwlwifi 0000:02:00.0: 0x00000000 | isr4
Dec 13 11:53:37 james-x1 kernel: [ 857.583303] iwlwifi 0000:02:00.0: 0x002601D2 | last cmd Id
Dec 13 11:53:37 james-x1 kernel: [ 857.583307] iwlwifi 0000:02:00.0: 0x00000000 | wait_event
Dec 13 11:53:37 james-x1 kernel: [ 857.583310] iwlwifi 0000:02:00.0: 0x000076DD | l2p_control
Dec 13 11:53:37 james-x1 kernel: [ 857.583314] iwlwifi 0000:02:00.0: 0x00000020 | l2p_duration
Dec 13 11:53:37 james-x1 kernel: [ 857.583318] iwlwifi 0000:02:00.0: 0x00000000 | l2p_mhvalid
Dec 13 11:53:37 james-x1 kernel: [ 857.583321] iwlwifi 0000:02:00.0: 0x00000000 | l2p_addr_match
Dec 13 11:53:37 james-x1 kernel: [ 857.583325] iwlwifi 0000:02:00.0: 0x0000000D | lmpm_pmg_sel
Dec 13 11:53:37 james-x1 kernel: [ 857.583328] iwlwifi 0000:02:00.0: 0x22040707 | timestamp
Dec 13 11:53:37 james-x1 kernel: [ 857.583332] iwlwifi 0000:02:00.0: 0x00002030 | flow_handler
Dec 13 11:53:37 james-x1 kernel: [ 857.583538] iwlwifi 0000:02:00.0: Start IWL Error Log Dump:
Dec 13 11:53:37 james-x1 kernel: [ 857.583543] iwlwifi 0000:02:00.0: Status: 0x00000110, count: 7
Dec 13 11:53:37 james-x1 kernel: [ 857.583547] iwlwifi 0000:02:00.0: 0x00000070 | ADVANCED_SYSASSERT
Dec 13 11:53:37 james-x1 kernel: [ 857.583551] iwlwifi 0000:02:00.0: 0x00000000 | umac branchlink1
Dec 13 11:53:37 james-x1 kernel: [ 857.583555] iwlwifi 0000:02:00.0: 0xC00868A4 | umac branchlink2
Dec 13 11:53:37 james-x1 kernel: [ 857.583558] iwlwifi 0000:02:00.0: 0xC0083A94 | umac interruptlink1
Dec 13 11:53:37 james-x1 kernel: [ 857.583562] iwlwifi 0000:02:00.0: 0xC0083A94 | umac interruptlink2
Dec 13 11:53:37 james-x1 kernel: [ 857.583566] iwlwifi 0000:02:00.0: 0x00000800 | umac data1
Dec 13 11:53:37 james-x1 kernel: [ 857.583569] iwlwifi 0000:02:00.0: 0xC0083A94 | umac data2
Dec 13 11:53:37 james-x1 kernel: [ 857.583573] iwlwifi 0000:02:00.0: 0xDEADBEEF | umac data3
Dec 13 11:53:37 james-x1 kernel: [ 857.583577] iwlwifi 0000:02:00.0: 0x00000024 | umac major
Dec 13 11:53:37 james-x1 kernel: [ 857.583580] iwlwifi 0000:02:00.0: 0x7596AFD4 | umac minor
Dec 13 11:53:37 james-x1 kernel: [ 857.583584] iwlwifi 0000:02:00.0: 0xC088628C | frame pointer
Dec 13 11:53:37 james-x1 kernel: [ 857.583587] iwlwifi 0000:02:00.0: 0xC088628C | stack pointer
Dec 13 11:53:37 james-x1 kernel: [ 857.583591] iwlwifi 0000:02:00.0: 0x00270129 | last host cmd
Dec 13 11:53:37 james-x1 kernel: [ 857.583595] iwlwifi 0000:02:00.0: 0x00000000 | isr status reg
Dec 13 11:53:37 james-x1 kernel: [ 857.583600] iwlwifi 0000:02:00.0: Firmware error during reconfiguration - reprobe!
Dec 13 11:53:37 james-x1 kernel: [ 857.583663] iwlwifi 0000:02:00.0: iwlwifi transaction failed, dumping registers
Dec 13 11:53:37 james-x1 kernel: [ 857.583670] iwlwifi 0000:02:00.0: iwlwifi device config registers:
Dec 13 11:53:37 james-x1 kernel: [ 857.583868] iwlwifi 0000:02:00.0: 00000000: 24fd8086 00100406 02800078 00000000 ee200004 00000000 00000000 00000000
Dec 13 11:53:37 james-x1 kernel: [ 857.583877] iwlwifi 0000:02:00.0: 00000020: 00000000 00000000 00000000 00108086 00000000 000000c8 00000000 000001ff
Dec 13 11:53:37 james-x1 kernel: [ 857.583882] iwlwifi 0000:02:00.0: iwlwifi device memory mapped registers:
Dec 13 11:53:37 james-x1 kernel: [ 857.584080] iwlwifi 0000:02:00.0: 00000000: 18489000 0000ff40 00000000 ba00008b 00000000 00000000 00000010 00000000
Dec 13 11:53:37 james-x1 kernel: [ 857.584089] iwlwifi 0000:02:00.0: 00000020: 00000000 08040005 00000230 d55555d5 d55555d5 d55555d5 80008040 041f0042
Dec 13 11:53:37 james-x1 kernel: [ 857.584251] iwlwifi 0000:02:00.0: iwlwifi device AER capability structure:
Dec 13 11:53:37 james-x1 kernel: [ 857.584487] iwlwifi 0000:02:00.0: 00000000: 14010001 00000000 00000000 00462031 00000000 00002000 00000000 00000000
Dec 13 11:53:37 james-x1 kernel: [ 857.584493] iwlwifi 0000:02:00.0: 00000020: 00000000 00000000 00000000
Dec 13 11:53:37 james-x1 kernel: [ 857.584500] iwlwifi 0000:02:00.0: iwlwifi parent port (0000:00:1c.0) config registers:
Dec 13 11:53:37 james-x1 kernel: [ 857.584532] iwlwifi 0000:00:1c.0: 00000000: 9d108086 00100407 060400f1 00810000 00000000 00000000 00020200 200000f0
Dec 13 11:53:37 james-x1 kernel: [ 857.584539] iwlwifi 0000:00:1c.0: 00000020: ee20ee20 0001fff1 00000000 00000000 00000000 00000040 00000000 000001ff
Dec 13 11:53:37 james-x1 kernel: [ 857.584546] iwlwifi 0000:02:00.0: iwlwifi root port (0000:00:1c.0) AER cap structure:
Dec 13 11:53:37 james-x1 kernel: [ 857.584564] iwlwifi 0000:00:1c.0: 00000000: 14010001 00000000 00010000 00060011 00000000 00002000 00000000 00000000
Dec 13 11:53:37 james-x1 kernel: [ 857.584571] iwlwifi 0000:00:1c.0: 00000020: 00000000 00000000 00000000 00000000 00000000 00000000
Dec 13 11:53:37 james-x1 kernel: [ 857.584579] iwlwifi 0000:02:00.0: FW error in SYNC CMD TIME_EVENT_CMD
Dec 13 11:53:37 james-x1 kernel: [ 857.584589] CPU: 6 PID: 1147 Comm: kworker/u16:6 Tainted: G W OE 4.19.9-041909-generic #201812130432
Dec 13 11:53:37 james-x1 kernel: [ 857.584591] Hardware name: LENOVO 20KHCTO1WW/20KHCTO1WW, BIOS N23ET59W (1.34 ) 11/08/2018
Dec 13 11:53:37 james-x1 kernel: [ 857.584651] Workqueue: phy7 ieee80211_iface_work [mac80211]
Dec 13 11:53:37 james-x1 kernel: [ 857.584655] Call Trace:
Dec 13 11:53:37 james-x1 kernel: [ 857.584668] dump_stack+0x63/0x8a
Dec 13 11:53:37 james-x1 kernel: [ 857.584700] iwl_pcie_send_hcmd_sync+0x4a2/0x4c0 [iwlwifi]
Dec 13 11:53:37 james-x1 kernel: [ 857.584709] ? wait_woken+0x80/0x80
Dec 13 11:53:37 james-x1 kernel: [ 857.584728] iwl_trans_pcie_send_hcmd+0x33/0xd0 [iwlwifi]
Dec 13 11:53:37 james-x1 kernel: [ 857.584747] iwl_trans_send_cmd+0x65/0xd0 [iwlwifi]
Dec 13 11:53:37 james-x1 kernel: [ 857.584753] ? __switch_to_asm+0x34/0x70
Dec 13 11:53:37 james-x1 kernel: [ 857.584775] iwl_mvm_send_cmd+0x32/0x90 [iwlmvm]
Dec 13 11:53:37 james-x1 kernel: [ 857.584793] iwl_mvm_send_cmd_pdu+0x51/0x70 [iwlmvm]
Dec 13 11:53:37 james-x1 kernel: [ 857.584811] iwl_mvm_time_event_send_add+0xf1/0x1e0 [iwlmvm]
Dec 13 11:53:37 james-x1 kernel: [ 857.584836] ? iwl_mvm_te_notif+0xc0/0xc0 [iwlmvm]
Dec 13 11:53:37 james-x1 kernel: [ 857.584855] iwl_mvm_protect_session+0x24e/0x2b0 [iwlmvm]
Dec 13 11:53:37 james-x1 kernel: [ 857.584863] ? _cond_resched+0x19/0x30
Dec 13 11:53:37 james-x1 kernel: [ 857.584879] iwl_mvm_mac_mgd_prepare_tx+0x63/0x90 [iwlmvm]
Dec 13 11:53:37 james-x1 kernel: [ 857.584895] ? iwl_mvm_mac_mgd_prepare_tx+0x63/0x90 [iwlmvm]
Dec 13 11:53:37 james-x1 kernel: [ 857.584946] ieee80211_auth+0xab/0x300 [mac80211]
Dec 13 11:53:37 james-x1 kernel: [ 857.584990] ieee80211_sta_work+0x4aa/0x770 [mac80211]
Dec 13 11:53:37 james-x1 kernel: [ 857.584996] ? __switch_to_asm+0x34/0x70
Dec 13 11:53:37 james-x1 kernel: [ 857.584999] ? __switch_to_asm+0x40/0x70
Dec 13 11:53:37 james-x1 kernel: [ 857.585003] ? __switch_to_asm+0x34/0x70
Dec 13 11:53:37 james-x1 kernel: [ 857.585048] ieee80211_iface_work+0x308/0x340 [mac80211]
Dec 13 11:53:37 james-x1 kernel: [ 857.585054] process_one_work+0x20f/0x410
Dec 13 11:53:37 james-x1 kernel: [ 857.585059] worker_thread+0x34/0x400
Dec 13 11:53:37 james-x1 kernel: [ 857.585066] kthread+0x120/0x140
Dec 13 11:53:37 james-x1 kernel: [ 857.585070] ? pwq_unbound_release_workfn+0xd0/0xd0
Dec 13 11:53:37 james-x1 kernel: [ 857.585074] ? kthread_bind+0x40/0x40
Dec 13 11:53:37 james-x1 kernel: [ 857.585078] ret_from_fork+0x35/0x40
Dec 13 11:53:37 james-x1 kernel: [ 857.585150] iwlwifi 0000:02:00.0: Couldn't send TIME_EVENT_CMD: -5
Dec 13 11:53:37 james-x1 kernel: [ 857.585165] wlp2s0: send auth to 60:38:e0:70:a2:11 (try 2/3)
Dec 13 11:53:37 james-x1 kernel: [ 857.585197] iwlwifi 0000:02:00.0: Failed to send MAC context (action:1): -5
Dec 13 11:53:37 james-x1 kernel: [ 857.585386] WARNING: CPU: 4 PID: 437 at net/mac80211/util.c:1972 ieee80211_reconfig+0x21b/0xf80 [mac80211]
Dec 13 11:53:37 james-x1 kernel: [ 857.585388] Modules linked in: authenc echainiv xfrm4_mode_transport ccm rfcomm acpi_call(OE) veth ipt_MASQUERADE nf_conntrack_netlink nfnetlink iptable_nat nf_nat_ipv4 xt_addrtype iptable_filter bpfilter xt_conntrack nf_nat nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c br_netfilter bridge stp llc twofish_generic twofish_avx_x86_64 twofish_x86_64_3way twofish_x86_64 twofish_common serpent_avx2 serpent_avx_x86_64 serpent_sse2_x86_64 serpent_generic blowfish_generic blowfish_x86_64 blowfish_common cast5_avx_x86_64 cast5_generic cast_common des_generic algif_skcipher camellia_generic camellia_aesni_avx2 camellia_aesni_avx_x86_64 camellia_x86_64 xcbc md4 algif_hash af_alg xfrm_user xfrm4_tunnel tunnel4 ipcomp xfrm_ipcomp esp4 ah4 af_key xfrm_algo l2tp_ppp l2tp_netlink l2tp_core ip6_udp_tunnel
Dec 13 11:53:37 james-x1 kernel: [ 857.585477] udp_tunnel pppox snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic msr overlay cmac bnep btusb btrtl btbcm btintel bluetooth uvcvideo ecdh_generic nls_iso8859_1 joydev arc4 wmi_bmof intel_wmi_thunderbolt intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp snd_soc_skl snd_soc_skl_ipc kvm_intel snd_soc_sst_ipc snd_seq_dummy crct10dif_pclmul snd_soc_sst_dsp crc32_pclmul snd_seq_oss i915 snd_hda_ext_core snd_soc_acpi_intel_match ghash_clmulni_intel snd_soc_acpi snd_seq_midi snd_seq_midi_event snd_soc_core pcbc snd_compress kvmgt ac97_bus vfio_mdev snd_pcm_dmaengine rmi_smbus mdev rmi_core vfio_iommu_type1 vfio videobuf2_vmalloc snd_rawmidi iwlmvm videobuf2_memops kvm videobuf2_v4l2 aesni_intel mac80211 videobuf2_common aes_x86_64 irqbypass crypto_simd snd_hda_intel videodev
Dec 13 11:53:37 james-x1 kernel: [ 857.585571] drm_kms_helper cryptd snd_hda_codec glue_helper snd_seq intel_cstate snd_hda_core intel_rapl_perf drm iwlwifi snd_hwdep i2c_algo_bit input_leds fb_sys_fops serio_raw syscopyarea ucsi_acpi media snd_pcm typec_ucsi thinkpad_acpi mei_me sysfillrect processor_thermal_device cfg80211 nvram sysimgblt mei intel_pch_thermal intel_soc_dts_iosf typec snd_seq_device snd_timer wmi snd int3403_thermal soundcore int340x_thermal_zone mac_hid video int3400_thermal acpi_pad acpi_thermal_rel sch_fq_codel parport_pc ppdev lp parport ip_tables x_tables autofs4 uas usb_storage hid_generic usbhid psmouse e1000e thunderbolt i2c_i801 i2c_hid hid
Dec 13 11:53:37 james-x1 kernel: [ 857.585670] CPU: 4 PID: 437 Comm: kworker/4:2 Tainted: G W OE 4.19.9-041909-generic #201812130432
Dec 13 11:53:37 james-x1 kernel: [ 857.585673] Hardware name: LENOVO 20KHCTO1WW/20KHCTO1WW, BIOS N23ET59W (1.34 ) 11/08/2018
Dec 13 11:53:37 james-x1 kernel: [ 857.585734] Workqueue: events_freezable ieee80211_restart_work [mac80211]
Dec 13 11:53:37 james-x1 kernel: [ 857.585781] RIP: 0010:ieee80211_reconfig+0x21b/0xf80 [mac80211]
Dec 13 11:53:37 james-x1 kernel: [ 857.585786] Code: 0a 00 00 83 e2 fd 83 fa 04 74 e3 49 8b 94 24 20 04 00 00 83 e2 01 74 d6 4c 89 e6 48 89 df e8 1c a2 fc ff 85 c0 74 c7 41 89 c6 <0f> 0b 4d 8b 64 24 08 4d 39 ec 0f 84 43 fe ff ff 41 8b 84 24 e0 0a
Dec 13 11:53:37 james-x1 kernel: [ 857.585789] RSP: 0018:ffffaa3682f0fe08 EFLAGS: 00010282
Dec 13 11:53:37 james-x1 kernel: [ 857.585793] RAX: 00000000fffffffb RBX: ffff8eea1b5e0760 RCX: 0000000000000000
Dec 13 11:53:37 james-x1 kernel: [ 857.585795] RDX: ffff8eed44f20000 RSI: 0000000000000009 RDI: ffff8eea1b5e1548
Dec 13 11:53:37 james-x1 kernel: [ 857.585797] RBP: ffffaa3682f0fe50 R08: 00000000fffffffb R09: 00000000000014c6
Dec 13 11:53:37 james-x1 kernel: [ 857.585799] R10: 0000000000000004 R11: ffffffffac3973ed R12: ffff8eebbdfe1000
Dec 13 11:53:37 james-x1 kernel: [ 857.585802] R13: ffff8eea1b5e0f90 R14: 00000000fffffffb R15: 0ffff8eed5152880
Dec 13 11:53:37 james-x1 kernel: [ 857.585806] FS: 0000000000000000(0000) GS:ffff8eed51500000(0000) knlGS:0000000000000000
Dec 13 11:53:37 james-x1 kernel: [ 857.585808] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Dec 13 11:53:37 james-x1 kernel: [ 857.585810] CR2: 00000b9fff290000 CR3: 0000000334c0a001 CR4: 00000000003606e0
Dec 13 11:53:37 james-x1 kernel: [ 857.585813] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Dec 13 11:53:37 james-x1 kernel: [ 857.585815] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
Dec 13 11:53:37 james-x1 kernel: [ 857.585816] Call Trace:
Dec 13 11:53:37 james-x1 kernel: [ 857.585862] ieee80211_restart_work+0xbc/0xf0 [mac80211]
Dec 13 11:53:37 james-x1 kernel: [ 857.585871] process_one_work+0x20f/0x410
Dec 13 11:53:37 james-x1 kernel: [ 857.585876] worker_thread+0x34/0x400
Dec 13 11:53:37 james-x1 kernel: [ 857.585882] kthread+0x120/0x140
Dec 13 11:53:37 james-x1 kernel: [ 857.585885] ? pwq_unbound_release_workfn+0xd0/0xd0
Dec 13 11:53:37 james-x1 kernel: [ 857.585890] ? kthread_bind+0x40/0x40
Dec 13 11:53:37 james-x1 kernel: [ 857.585897] ret_from_fork+0x35/0x40
Dec 13 11:53:37 james-x1 kernel: [ 857.585902] ---[ end trace b6d584c3a4a887c5 ]---
Dec 13 11:53:37 james-x1 kernel: [ 857.586005] iwlwifi 0000:02:00.0: Failed to remove MAC context: -5
Dec 13 11:53:37 james-x1 kernel: [ 857.586121] ------------[ cut here ]------------

description: updated
AaronMa (mapengyu) wrote :

It looks like bug:
https://bugs.launchpad.net/bugs/1805088

Could you try 4.15.0-1029.34 kernel or 4.17+ mainline kernel?

James Turnbull (jamtur01) wrote :

I am on 4.18.0-12-generic and I've tried 4.19.6 without joy.

Emmanuel Grumbach (egrumbach) wrote :

I just pushed a firmware that should fix this.
Please try our latest version from https://git.kernel.org/cgit/linux/kernel/git/iwlwifi/linux-firmware.git/plain/iwlwifi-8265-36.ucode

This firmware is not upstream yet. I sent the pull request today.

Emmanuel Grumbach (egrumbach) wrote :

Josh just pushed out the new firmware in mainline's linux-firmware.git.

So, Ubuntu team, please pick the latest firmware from there.

AaronMa (mapengyu) wrote :

Thanks, Emmanuel.

Hi James:
Could you try the new fw of 8265?
If it works, I will try to pick the new fw to Ubuntu release.

Changed in linux-firmware (Ubuntu):
importance: Undecided → Critical
assignee: nobody → AaronMa (mapengyu)
James Turnbull (jamtur01) wrote :

I've been running it for two days and it looks good.

AaronMa (mapengyu) on 2019-01-23
description: updated
Seth Forshee (sforshee) on 2019-01-31
Changed in linux-firmware (Ubuntu):
status: New → Fix Committed
Changed in linux-firmware (Ubuntu Cosmic):
status: New → Fix Committed
Seth Forshee (sforshee) on 2019-02-07
Changed in linux-firmware (Ubuntu Bionic):
status: New → Fix Committed
Steve Langasek (vorlon) wrote :

I think the test and regression potential templates on this bug are not up to the normal SRU standard. There are a number of firmware blobs updated, what is the set of chips that make use of these firmware blobs that could potentially be affected by this update? Why is this complete range of firmware blobs being updated, if there is a bug being reported with only a single chip?

Changed in linux-firmware (Ubuntu Cosmic):
status: Fix Committed → Incomplete
Seth Forshee (sforshee) wrote :

It is because of the way Intel updated the firmware upstream. The updates which brought in the fixes wanted for 8265 wireless also updated these other files, and since the upstream changelog doesn't provide any specifics about what fixes the updates contain we don't know whether or not the update contains the same fixes in the other firmware files. In the past we've generally just pulled in the bundle of updates where the fix was identified. Perhaps Emmanuel can chime in with more information (though I'm pretty sure he'd prefer we were always pulling in the newest firmware anyhow).

Otherwise, I can back out the updates for the 7000 and 9000 series if you prefer.

Changed in linux-firmware (Ubuntu Bionic):
status: Fix Committed → Incomplete
Steve Langasek (vorlon) wrote :

Seth, my only preference here is that the test cases be appropriate for what's being updated. If there are going to be updates affecting multiple series of chips, then I think the test case should also cover testing across multiple series. Otherwise, if that testing is onerous, I think withdrawing this SRU and changing only the firmware for the series we know is affected by this bug would be better.

Seth Forshee (sforshee) on 2019-03-21
Changed in linux-firmware (Ubuntu Bionic):
status: Incomplete → Fix Committed
Changed in linux-firmware (Ubuntu Cosmic):
status: Incomplete → Fix Committed

Hello James, or anyone else affected,

Accepted linux-firmware into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.175.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed

src:linux-firmware is only accepted into cosmic-proposed but still waiting in Bionic-unapproved.
AFAIK the current status of "Fix committed" will make it not to be seen by the SRU Team (at least for similar cases I had in the past).
Therefore to increase the chance to get also the Bionic portion accepted into -proposed lets dial back the current status of the bug task.

Changed in linux-firmware (Ubuntu Bionic):
status: Fix Committed → In Progress
Timo Aaltonen (tjaalton) wrote :

Hello James, or anyone else affected,

Accepted linux-firmware into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.173.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in linux-firmware (Ubuntu Bionic):
status: In Progress → Fix Committed

I have had no issues anymore since I switched to my self built 1.177~ppa0f22c85 (PPA) - while before they were rather common.

Thanks for accepting that into Bionic-Proposed.
I have switched to 1.173.5 from Proposed and unplugged the cables.

The install (a downgrade for me as outlined) itself worked fine, I'll reboot now and check on Monday I'll check if any connectivity issues came up over the weekend.

After a weekend using the wireless (on Bionic) I have got no new
  "kernel: iwlwifi 0000:04:00.0: Microcode SW error detected. Restarting 0x2000000."
entries and I'm still connected (also before it hit really fast).
Therefore I'd think this firmware in proposed is as good as the PPA I used int he last time.

Let me make sure it loaded the right FW ...
Ok, yeah it switched I have loaded
- 36.7596afd4.0 (from my PPA)
- 36.9f0a2d68.0 (from proposed)
- 36.e91976c0.0 (and all of 22.x - 36.x when it was failing)

Since back than I had a short time where it failed even with 36.7596afd4.0 (probably due to all the debugging I had enabled, but not for sure) I'll declare my test alone not sufficient for the verification. But from my POV at least it seems good (If no other reporter tests proposed at all you might take that as verified for Bionic, I have no system to test the same on cosmic).

Alex (alex-iribarren) wrote :

The version from the PPA did not solve this issue for me on Cosmic, but I've been running the version from proposed over the weekend and the issue did not occur. Looks good so far!

Seth Forshee (sforshee) wrote :

Added verifiction-done tags for bionic and cosmic based on comments #17 and #18.

tags: added: verification-done-bionic verification-done-cosmic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.175.3

---------------
linux-firmware (1.175.3) cosmic; urgency=medium

  * To add power setting bin file for SAR support (QCA6174) (LP: #1817817)
    - ath10k: QCA6174 hw3.0: update board-2.bin

  * iwlwifi Intel 8265 firmware crashing on lenovo x1 Gen 6 (LP: #1808389)
    - UBUNTU: revert most iwlwifi firmware back to versions from 1.173.3

linux-firmware (1.175.2) cosmic; urgency=medium

  * iwlwifi Intel 8265 firmware crashing on lenovo x1 Gen 6 (LP: #1808389)
    - iwlwifi: update firmwares for 7000, 8000 and 9000 series
    - iwlwifi: update firmwares for 8000 series

  * OS booting thrown with nouveau errors (LP: #1794055)
    - nvidia: add GV100 signed firmware

 -- Seth Forshee <email address hidden> Thu, 21 Mar 2019 15:29:33 -0500

Changed in linux-firmware (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.173.5

---------------
linux-firmware (1.173.5) bionic; urgency=medium

  * To add power setting bin file for SAR support (QCA6174) (LP: #1817817)
    - ath10k: QCA6174 hw3.0: update board-2.bin

  * iwlwifi Intel 8265 firmware crashing on lenovo x1 Gen 6 (LP: #1808389)
    - UBUNTU: revert most iwlwifi firmware back to versions from 1.173.3

  * Update linux-firmware in bionic for 5.0-based hwe-edge kernel
    (LP: #1821239)
    - amdgpu: sync up bonaire firmware with 18.20 release
    - amdgpu: sync up hawaii firmware with 18.20 release
    - amdgpu: sync up kabini firmware with 18.20 release
    - amdgpu: sync up mullins firmware with 18.20 release
    - amdgpu: sync up kaveri firmware with 18.20 release
    - amdgpu: sync up hainan firmware with 18.20 release
    - amdgpu: sync up oland firmware with 18.20 release
    - amdgpu: sync up tahiti firmware with 18.20 release
    - amdgpu: sync up pitcairn firmware with 18.20 release
    - amdgpu: sync up verde firmware with 18.20 release
    - linux-firmware: mediatek: add MT7622 Bluetooth firmwares and license file
    - linux-firmware: add firmware for mt76x0
    - qed: Add firmware 8.37.7.0
    - firmware/icl/dmc: Add v1.07 of DMC for Icelake
    - iwlwifi: add -41.ucode firmwares for 9000 series
    - ath10k: QCA9377 hw1.0: add firmware-6.bin to WLAN.TF.2.1-00021-QCARMSWP-1
    - linux-firmware: add firmware for mt7610e
    - linux-firmware: add firmware for mt7650e
    - amdgpu: add raven dmcu firmware
    - amdgpu: Add new polaris SMC firmwares
    - amdgpu: Add new polaris MC firmwares
    - amdgpu: add firmware for vega12
    - amdgpu: update polaris10 fw for 18.50 release
    - amdgpu: update polaris11 fw for 18.50 release
    - amdgpu: update vega12 fw for 18.50 release
    - Mellanox: Add new mlxsw_spectrum firmware 13.1910.622
    - brcm: provide new firmwares for BCM4366 chipset
    - iwlwifi: update -41.ucode for 9000 series
    - iwlwifi: add -43.ucode for 9000 series
    - rtl_bt: Add firmware and configuration files for the Bluetooth part of RTL8723BS
    - iwlwifi: update firmwares for 9000 series
    - amdgpu: add picasso fw for 18.50 release
    - amdgpu: add raven2 fw for 18.50 release
    - amdgpu: add firmware for vega20 from 18.50
    - amdgpu: update raven2 rlc firmware
    - drm/amdgpu: update vega20 to latest from 18.50 branch
    - drm/amdgpu: update polaris12 to latest from 18.50 branch
    - drm/amdgpu: update picasso to latest from 18.50 branch

linux-firmware (1.173.4) bionic; urgency=medium

  * iwlwifi Intel 8265 firmware crashing on lenovo x1 Gen 6 (LP: #1808389)
    - WHENCE: Fix typo Version
    - iwlwifi: update firmwares for 7000, 8000 and 9000 series
    - iwlwifi: update firmwares for 8000 series

  * OS booting thrown with nouveau errors (LP: #1794055)
    - nvidia: add GV100 signed firmware

 -- Seth Forshee <email address hidden> Thu, 21 Mar 2019 15:17:46 -0500

Changed in linux-firmware (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers